package cn.com.poc.law.entity.legislativeDocument;

import cn.com.poc.law.jsonSerializer.JacksonStringNotNullSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * @Author：Roger Wu
 * @name：RepresentativeInfo
 * @Date：2025-08-12 18:28
 */
public class SupplementaryInfo {

    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    String source;
    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    String priority;
    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    String fileUrl;

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }
}
